Index: /development/pyvolution-1d/generic_boundary_conditions.py
===================================================================
--- /development/pyvolution-1d/generic_boundary_conditions.py	(revision 3513)
+++ /development/pyvolution-1d/generic_boundary_conditions.py	(revision 3514)
@@ -131,5 +131,5 @@
         from Numeric import array
         from config import time_format
-        from util import File_function
+        from anuga.pyvolution.util import File_function
 
         Boundary.__init__(self)
@@ -181,5 +181,5 @@
         from Numeric import array, zeros, Float
         from config import time_format
-        from util import file_function
+        from anuga.pyvolution.util import file_function
 
         Boundary.__init__(self)
Index: /development/pyvolution-1d/shallow_water_1d.py
===================================================================
--- /development/pyvolution-1d/shallow_water_1d.py	(revision 3513)
+++ /development/pyvolution-1d/shallow_water_1d.py	(revision 3514)
@@ -84,5 +84,5 @@
         
         #Reduction operation for get_vertex_values
-        from util import mean
+        from anuga.pyvolution.util import mean
         self.reduction = mean
         #self.reduction = min  #Looks better near steep slopes
@@ -221,5 +221,5 @@
         """
 
-        import data_manager
+        import anuga.pyvolution.data_manager
 
         #Initialise writer
@@ -1056,5 +1056,5 @@
     """
 
-    from util import gradient
+    from anuga.pyvolution.util import gradient
     from Numeric import zeros, Float, array, sum
 
Index: /development/pyvolution-1d/shallow_water_minmod.py
===================================================================
--- /development/pyvolution-1d/shallow_water_minmod.py	(revision 3513)
+++ /development/pyvolution-1d/shallow_water_minmod.py	(revision 3514)
@@ -84,5 +84,5 @@
         
         #Reduction operation for get_vertex_values
-        from util import mean
+        from anuga.pyvolution.util import mean
         self.reduction = mean
         #self.reduction = min  #Looks better near steep slopes
@@ -221,5 +221,5 @@
         """
 
-        import data_manager
+        import anuga.pyvolution.data_manager
 
         #Initialise writer
@@ -991,5 +991,5 @@
     """
 
-    from util import gradient
+    from anuga.pyvolution.util import gradient
     from Numeric import zeros, Float, array, sum
 
Index: /development/steve/get_triangle_data.py
===================================================================
--- /development/steve/get_triangle_data.py	(revision 3513)
+++ /development/steve/get_triangle_data.py	(revision 3514)
@@ -15,5 +15,5 @@
 from shallow_water import Domain
 from pmesh2domain import pmesh_to_domain_instance
-from util import file_function, Polygon_function, read_polygon
+from anuga.pyvolution.util import file_function, Polygon_function, read_polygon
 from Numeric import zeros, Float, maximum, minimum
 
Index: /development/steve/get_triangle_data_new.py
===================================================================
--- /development/steve/get_triangle_data_new.py	(revision 3513)
+++ /development/steve/get_triangle_data_new.py	(revision 3514)
@@ -15,5 +15,5 @@
 from shallow_water import Domain
 from pmesh2domain import pmesh_to_domain_instance
-from util import file_function, Polygon_function, read_polygon
+from anuga.pyvolution.util import file_function, Polygon_function, read_polygon
 from Numeric import zeros, Float, maximum, minimum
 
Index: /development/steve/sww_viewer_vtk.py
===================================================================
--- /development/steve/sww_viewer_vtk.py	(revision 3513)
+++ /development/steve/sww_viewer_vtk.py	(revision 3514)
@@ -26,5 +26,5 @@
 
 import project
-from pyvolution.data_manager import get_time_interp, interpolated_quantity
+from anuga.pyvolution.data_manager import get_time_interp, interpolated_quantity
 from caching import cache
 filename = project.filename[:-3] + '.sww' #filename is of form filename.py
@@ -40,5 +40,5 @@
 
 """
-The following is borrowed from data_manager.sww2domain
+The following is borrowed from anuga.pyvolution.data_manager.sww2domain
 """
 NaN=9.969209968386869e+036
@@ -46,5 +46,5 @@
 
 from Scientific.IO.NetCDF import NetCDFFile
-from pyvolution.shallow_water_vtk import Domain
+from anuga.pyvolution.shallow_water_vtk import Domain
 from Numeric import asarray, transpose, resize
 
Index: /development/stochastic_study/create_realisations.py
===================================================================
--- /development/stochastic_study/create_realisations.py	(revision 3513)
+++ /development/stochastic_study/create_realisations.py	(revision 3514)
@@ -11,5 +11,5 @@
 import cPickle
 from load_mesh.loadASCII import import_points_file, import_mesh_file
-from pyvolution.least_squares import fit_to_mesh
+from anuga.pyvolution.least_squares import fit_to_mesh
 import project
 
Index: /development/stochastic_study/extract_timeseries.py
===================================================================
--- /development/stochastic_study/extract_timeseries.py	(revision 3513)
+++ /development/stochastic_study/extract_timeseries.py	(revision 3514)
@@ -52,6 +52,6 @@
 
 
-from pyvolution.util import file_function
-from utilities.numerical_tools import ensure_numeric
+from anuga.pyvolution.util import file_function
+from anuga.utilities.numerical_tools import ensure_numeric
 gauge_values = [ensure_numeric(input_stage),
                 ensure_numeric(ch5),
Index: /development/stochastic_study/plot_spread.py
===================================================================
--- /development/stochastic_study/plot_spread.py	(revision 3513)
+++ /development/stochastic_study/plot_spread.py	(revision 3514)
@@ -9,5 +9,5 @@
 
 # Application specific imports
-from utilities.numerical_tools import histogram, create_bins
+from anuga.utilities.numerical_tools import histogram, create_bins
 from read_realisations import read_realisations
 import project
Index: /development/stochastic_study/run_model.py
===================================================================
--- /development/stochastic_study/run_model.py	(revision 3513)
+++ /development/stochastic_study/run_model.py	(revision 3514)
@@ -25,10 +25,10 @@
 
 # Related major packages
-from pyvolution.shallow_water import Domain
-from pyvolution.shallow_water import Reflective_boundary
-from pyvolution.shallow_water import Transmissive_Momentum_Set_Stage_boundary
-from pyvolution.pmesh2domain import pmesh_to_domain_instance
-from pyvolution.data_manager import xya2pts
-from pyvolution.util import file_function
+from anuga.pyvolution.shallow_water import Domain
+from anuga.pyvolution.shallow_water import Reflective_boundary
+from anuga.pyvolution.shallow_water import Transmissive_Momentum_Set_Stage_boundary
+from anuga.pyvolution.pmesh2domain import pmesh_to_domain_instance
+from anuga.pyvolution.data_manager import xya2pts
+from anuga.pyvolution.util import file_function
 from caching.caching import cache
 
Index: /development/stochastic_study/run_simple_model.py
===================================================================
--- /development/stochastic_study/run_simple_model.py	(revision 3513)
+++ /development/stochastic_study/run_simple_model.py	(revision 3514)
@@ -26,9 +26,9 @@
 
 # Application specific imports
-from pyvolution.mesh_factory import rectangular
-from pyvolution.shallow_water import Domain
-from pyvolution.shallow_water import Reflective_boundary
-from pyvolution.shallow_water import Dirichlet_boundary
-from pyvolution.util import file_function
+from anuga.pyvolution.mesh_factory import rectangular
+from anuga.pyvolution.shallow_water import Domain
+from anuga.pyvolution.shallow_water import Reflective_boundary
+from anuga.pyvolution.shallow_water import Dirichlet_boundary
+from anuga.pyvolution.util import file_function
 from caching.caching import cache
 import project                 # Definition of file names and polygons
Index: /inundation-numpy-branch/debug/mesh_error_reporting/create_mesh.py
===================================================================
--- /inundation-numpy-branch/debug/mesh_error_reporting/create_mesh.py	(revision 3513)
+++ /inundation-numpy-branch/debug/mesh_error_reporting/create_mesh.py	(revision 3514)
@@ -7,5 +7,5 @@
 
 from pmesh.mesh import *
-from pyvolution.coordinate_transforms.geo_reference import Geo_reference
+from anuga.pyvolution.coordinate_transforms.geo_reference import Geo_reference
 
 #-------------------------------------------------------------
Index: /inundation-numpy-branch/debug/mesh_error_reporting/show_bad_mesh.py
===================================================================
--- /inundation-numpy-branch/debug/mesh_error_reporting/show_bad_mesh.py	(revision 3513)
+++ /inundation-numpy-branch/debug/mesh_error_reporting/show_bad_mesh.py	(revision 3514)
@@ -14,5 +14,5 @@
 
 
-from pyvolution.least_squares import Interpolation
+from anuga.pyvolution.least_squares import Interpolation
 from Numeric import allclose, array, transpose
 
Index: /inundation-numpy-branch/debug/mesh_error_reporting/show_mesh_bug.py
===================================================================
--- /inundation-numpy-branch/debug/mesh_error_reporting/show_mesh_bug.py	(revision 3513)
+++ /inundation-numpy-branch/debug/mesh_error_reporting/show_mesh_bug.py	(revision 3514)
@@ -68,8 +68,8 @@
 
 # Module imports
-from pyvolution.shallow_water import Domain, Reflective_boundary,\
+from anuga.pyvolution.shallow_water import Domain, Reflective_boundary,\
             File_boundary, Transmissive_Momentum_Set_Stage_boundary
-from pyvolution.mesh_factory import rectangular
-from pyvolution.pmesh2domain import pmesh_to_domain_instance 
+from anuga.pyvolution.mesh_factory import rectangular
+from anuga.pyvolution.pmesh2domain import pmesh_to_domain_instance 
 from Numeric import array, zeros, Float, allclose
 import filenames
@@ -85,5 +85,5 @@
 
 #Preparing points
-from pyvolution.data_manager import xya2pts
+from anuga.pyvolution.data_manager import xya2pts
 xya2pts(filenames.bathymetry_filename, verbose = True,
         stride = 16,
@@ -112,5 +112,5 @@
 
 #LS code to be included in set_quantity
-from pyvolution import util, least_squares
+from anuga.pyvolution import util, least_squares
 points, attributes = util.read_xya(filenames.bathymetry_filename[:-4] + '.pts')
 
Index: /inundation-numpy-branch/examples/beach.py
===================================================================
--- /inundation-numpy-branch/examples/beach.py	(revision 3513)
+++ /inundation-numpy-branch/examples/beach.py	(revision 3514)
@@ -15,9 +15,9 @@
 #sys.path.append('..'+sep+'pyvolution')
 
-from pyvolution.shallow_water import Domain, Reflective_boundary, Dirichlet_boundary,\
+from anuga.pyvolution.shallow_water import Domain, Reflective_boundary, Dirichlet_boundary,\
      Transmissive_boundary, Time_boundary, Wind_stress
 
-from pyvolution.pmesh2domain import pmesh_to_domain_instance
-from utilities.polygon import read_polygon, Polygon_function
+from anuga.pyvolution.pmesh2domain import pmesh_to_domain_instance
+from anuga.utilities.polygon import read_polygon, Polygon_function
 from math import pi
 from Numeric import choose, greater, ones, sin, exp
Index: /inundation-numpy-branch/examples/bedslope.py
===================================================================
--- /inundation-numpy-branch/examples/bedslope.py	(revision 3513)
+++ /inundation-numpy-branch/examples/bedslope.py	(revision 3514)
@@ -8,6 +8,6 @@
 # Module imports 
 #
-from pyvolution.mesh_factory import rectangular
-from pyvolution.shallow_water import Domain, Reflective_boundary,\
+from anuga.pyvolution.mesh_factory import rectangular
+from anuga.pyvolution.shallow_water import Domain, Reflective_boundary,\
      Dirichlet_boundary, Time_boundary, Transmissive_boundary
 
Index: /inundation-numpy-branch/examples/run_gippsland.py
===================================================================
--- /inundation-numpy-branch/examples/run_gippsland.py	(revision 3513)
+++ /inundation-numpy-branch/examples/run_gippsland.py	(revision 3514)
@@ -1,3 +1,3 @@
-from pyvolution.data_manager import asc_csiro2sww
+from anuga.pyvolution.data_manager import asc_csiro2sww
 import time
 
Index: /inundation-numpy-branch/fit_interpolate/benchmark_least_squares.py
===================================================================
--- /inundation-numpy-branch/fit_interpolate/benchmark_least_squares.py	(revision 3513)
+++ /inundation-numpy-branch/fit_interpolate/benchmark_least_squares.py	(revision 3514)
@@ -21,5 +21,5 @@
 from random import seed, random
 
-from pyvolution.least_squares import Interpolation
+from anuga.pyvolution.least_squares import Interpolation
 from pmesh.mesh import Mesh
 
Index: /inundation-numpy-branch/fit_interpolate/interpolate.py
===================================================================
--- /inundation-numpy-branch/fit_interpolate/interpolate.py	(revision 3513)
+++ /inundation-numpy-branch/fit_interpolate/interpolate.py	(revision 3514)
@@ -23,11 +23,11 @@
      ArrayType, allclose, take, NewAxis
 
-from pyvolution.mesh import Mesh
-from utilities.sparse import Sparse, Sparse_CSR
-from utilities.cg_solve import conjugate_gradient, VectorShapeError
+from anuga.pyvolution.mesh import Mesh
+from anuga.utilities.sparse import Sparse, Sparse_CSR
+from anuga.utilities.cg_solve import conjugate_gradient, VectorShapeError
 from coordinate_transforms.geo_reference import Geo_reference
-from pyvolution.quad import build_quadtree
-from utilities.numerical_tools import ensure_numeric
-from utilities.polygon import inside_polygon
+from anuga.pyvolution.quad import build_quadtree
+from anuga.utilities.numerical_tools import ensure_numeric
+from anuga.utilities.polygon import inside_polygon
 
 from search_functions import search_tree_of_vertices
@@ -394,5 +394,5 @@
 
 
-        from util import mean, ensure_numeric
+        from anuga.pyvolution.util import mean, ensure_numeric
         from config import time_format
         import types
@@ -526,5 +526,5 @@
         from math import pi, cos, sin, sqrt
         from Numeric import zeros, Float
-        from util import mean        
+        from anuga.pyvolution.util import mean        
 
         if self.spatial is True:
Index: /inundation-numpy-branch/fit_interpolate/test_interpolate.py
===================================================================
--- /inundation-numpy-branch/fit_interpolate/test_interpolate.py	(revision 3513)
+++ /inundation-numpy-branch/fit_interpolate/test_interpolate.py	(revision 3514)
@@ -20,6 +20,6 @@
 from coordinate_transforms.geo_reference import Geo_reference
 from shallow_water import Domain, Transmissive_boundary #, mean
-from util import mean
-from data_manager import get_dataobject
+from anuga.pyvolution.util import mean
+from anuga.pyvolution.data_manager import get_dataobject
 
 def distance(x, y):
@@ -623,5 +623,5 @@
         #Check basic interpolation of one quantity using averaging
         #(no interpolation points or spatial info)
-        from util import mean        
+        from anuga.pyvolution.util import mean        
         I = Interpolation_interface(time, [mean(Q[0,:]),
                                           mean(Q[1,:]),
Index: /inundation-numpy-branch/geospatial_data/__init__.py
===================================================================
--- /inundation-numpy-branch/geospatial_data/__init__.py	(revision 3513)
+++ /inundation-numpy-branch/geospatial_data/__init__.py	(revision 3514)
@@ -2,5 +2,5 @@
 """
 
-from geospatial_data import *
+from anuga.geospatial_data.geospatial_data import *
 
 
Index: /inundation-numpy-branch/geospatial_data/geospatial_data.py
===================================================================
--- /inundation-numpy-branch/geospatial_data/geospatial_data.py	(revision 3513)
+++ /inundation-numpy-branch/geospatial_data/geospatial_data.py	(revision 3514)
@@ -5,5 +5,5 @@
 
 
-from utilities.numerical_tools import ensure_numeric
+from anuga.utilities.numerical_tools import ensure_numeric
 
 from numpy import concatenate
Index: /inundation-numpy-branch/geospatial_data/test_geospatial_data.py
===================================================================
--- /inundation-numpy-branch/geospatial_data/test_geospatial_data.py	(revision 3513)
+++ /inundation-numpy-branch/geospatial_data/test_geospatial_data.py	(revision 3514)
@@ -7,5 +7,5 @@
 from math import sqrt, pi
 
-from geospatial_data import *
+from anuga.geospatial_data.geospatial_data import *
 
 from coordinate_transforms.geo_reference import Geo_reference
Index: /inundation-numpy-branch/pmesh/create_mesh.py
===================================================================
--- /inundation-numpy-branch/pmesh/create_mesh.py	(revision 3513)
+++ /inundation-numpy-branch/pmesh/create_mesh.py	(revision 3514)
@@ -100,6 +100,6 @@
     from mesh import Mesh
     from coordinate_transforms.redfearn import redfearn
-    from utilities.polygon import populate_polygon
-    from utilities.numerical_tools import ensure_numeric
+    from anuga.utilities.polygon import populate_polygon
+    from anuga.utilities.numerical_tools import ensure_numeric
     from coordinate_transforms.geo_reference import Geo_reference
 
Index: /inundation-numpy-branch/pmesh/mesh.py
===================================================================
--- /inundation-numpy-branch/pmesh/mesh.py	(revision 3513)
+++ /inundation-numpy-branch/pmesh/mesh.py	(revision 3514)
@@ -28,10 +28,10 @@
 import load_mesh
 from coordinate_transforms.geo_reference import Geo_reference,DEFAULT_ZONE
-from utilities.polygon import point_in_polygon 
+from anuga.utilities.polygon import point_in_polygon 
 
 SET_COLOUR='red'
 
 #FIXME: this is not tested.
-from utilities.numerical_tools import gradient
+from anuga.utilities.numerical_tools import gradient
 
 
Index: /inundation-numpy-branch/pmesh/mesh_interface.py
===================================================================
--- /inundation-numpy-branch/pmesh/mesh_interface.py	(revision 3513)
+++ /inundation-numpy-branch/pmesh/mesh_interface.py	(revision 3514)
@@ -5,6 +5,6 @@
 
 from coordinate_transforms.geo_reference import Geo_reference,DEFAULT_ZONE
-from utilities.polygon import populate_polygon
-from utilities.numerical_tools import ensure_numeric
+from anuga.utilities.polygon import populate_polygon
+from anuga.utilities.numerical_tools import ensure_numeric
 from Numeric import Float
 
Index: /inundation-numpy-branch/pmesh/test_mesh.py
===================================================================
--- /inundation-numpy-branch/pmesh/test_mesh.py	(revision 3513)
+++ /inundation-numpy-branch/pmesh/test_mesh.py	(revision 3514)
@@ -12,5 +12,5 @@
 from load_mesh.loadASCII import *
 from coordinate_transforms.geo_reference import Geo_reference
-from utilities.polygon import inside_polygon
+from anuga.utilities.polygon import inside_polygon
 
 class meshTestCase(unittest.TestCase):
Index: /inundation-numpy-branch/pmesh/test_mesh_interface.py
===================================================================
--- /inundation-numpy-branch/pmesh/test_mesh_interface.py	(revision 3513)
+++ /inundation-numpy-branch/pmesh/test_mesh_interface.py	(revision 3514)
@@ -5,5 +5,5 @@
 from mesh_interface import *
 from load_mesh.loadASCII import *
-from utilities.polygon import inside_polygon
+from anuga.utilities.polygon import inside_polygon
 from coordinate_transforms.geo_reference import Geo_reference,DEFAULT_ZONE
 
Index: /inundation-numpy-branch/pyvolution/_test_sww2domain.py
===================================================================
--- /inundation-numpy-branch/pyvolution/_test_sww2domain.py	(revision 3513)
+++ /inundation-numpy-branch/pyvolution/_test_sww2domain.py	(revision 3514)
@@ -61,5 +61,5 @@
 ##NOW TEST IT!!!
 
-from data_manager import sww2domain
+from anuga.pyvolution.data_manager import sww2domain
 from Numeric import allclose
 
Index: /inundation-numpy-branch/pyvolution/_test_sww2domain2.py
===================================================================
--- /inundation-numpy-branch/pyvolution/_test_sww2domain2.py	(revision 3513)
+++ /inundation-numpy-branch/pyvolution/_test_sww2domain2.py	(revision 3514)
@@ -59,5 +59,5 @@
 ##NOW TEST IT!!!
 
-from data_manager import sww2domain
+from anuga.pyvolution.data_manager import sww2domain
 from Numeric import allclose
 
Index: /inundation-numpy-branch/pyvolution/bed_w_file_boundary.py
===================================================================
--- /inundation-numpy-branch/pyvolution/bed_w_file_boundary.py	(revision 3513)
+++ /inundation-numpy-branch/pyvolution/bed_w_file_boundary.py	(revision 3514)
@@ -57,5 +57,5 @@
 
 #Convert ASCII file to NetCDF (Which is what we really like!)
-from data_manager import timefile2swww        
+from anuga.pyvolution.data_manager import timefile2swww        
 timefile2swww(filename, quantity_names = domain.conserved_quantities)
 
Index: /inundation-numpy-branch/pyvolution/check_sww_tsh.py
===================================================================
--- /inundation-numpy-branch/pyvolution/check_sww_tsh.py	(revision 3513)
+++ /inundation-numpy-branch/pyvolution/check_sww_tsh.py	(revision 3514)
@@ -5,5 +5,5 @@
 from os import sep, path
 
-import data_manager
+import anuga.pyvolution.data_manager
 from load_mesh.loadASCII import import_mesh_file
 from shallow_water import Domain
Index: /inundation-numpy-branch/pyvolution/combine_pts.py
===================================================================
--- /inundation-numpy-branch/pyvolution/combine_pts.py	(revision 3513)
+++ /inundation-numpy-branch/pyvolution/combine_pts.py	(revision 3514)
@@ -5,5 +5,5 @@
 """
 
-from utilities.polygon import outside_polygon, inside_polygon
+from anuga.utilities.polygon import outside_polygon, inside_polygon
 from Numeric import take, concatenate
 import time
Index: /inundation-numpy-branch/pyvolution/data_manager.py
===================================================================
--- /inundation-numpy-branch/pyvolution/data_manager.py	(revision 3513)
+++ /inundation-numpy-branch/pyvolution/data_manager.py	(revision 3514)
@@ -248,5 +248,5 @@
             #Create new file
             fid.institution = 'Geoscience Australia'
-            fid.description = 'Output from pyvolution suitable for plotting'
+            fid.description = 'Output from anuga.pyvolution suitable for plotting'
 
             if domain.smooth:
@@ -1572,6 +1572,6 @@
     from Numeric import array2string
 
-    from utilities.polygon import inside_polygon, outside_polygon, separate_points_by_polygon
-    from util import apply_expression_to_dictionary
+    from anuga.utilities.polygon import inside_polygon, outside_polygon, separate_points_by_polygon
+    from anuga.pyvolution.util import apply_expression_to_dictionary
 
     msg = 'Format must be either asc or ers'
@@ -2571,5 +2571,5 @@
     from Numeric import array
     from config import time_format
-    from utilities.numerical_tools import ensure_numeric    
+    from anuga.utilities.numerical_tools import ensure_numeric    
 
 
@@ -3093,7 +3093,7 @@
     from pmesh2domain import pmesh_to_domain_instance
     import time, os
-    from data_manager import get_dataobject
+    from anuga.pyvolution.data_manager import get_dataobject
     from os import sep, path
-    from utilities.numerical_tools import mean
+    from anuga.utilities.numerical_tools import mean
 
     if verbose == True:print 'Creating domain from', filename
Index: /inundation-numpy-branch/pyvolution/data_manager_obsolete_stuff.py
===================================================================
--- /inundation-numpy-branch/pyvolution/data_manager_obsolete_stuff.py	(revision 3513)
+++ /inundation-numpy-branch/pyvolution/data_manager_obsolete_stuff.py	(revision 3514)
@@ -221,5 +221,5 @@
     from Numeric import array, Float, concatenate, NewAxis, zeros,\
          sometrue
-    from utilities.polygon import inside_polygon
+    from anuga.utilities.polygon import inside_polygon
 
     #FIXME: Should be variable
Index: /inundation-numpy-branch/pyvolution/domain.py
===================================================================
--- /inundation-numpy-branch/pyvolution/domain.py	(revision 3513)
+++ /inundation-numpy-branch/pyvolution/domain.py	(revision 3514)
@@ -238,5 +238,5 @@
         """
 
-        from util import apply_expression_to_dictionary
+        from anuga.pyvolution.util import apply_expression_to_dictionary
         return apply_expression_to_dictionary(expression, self.quantities)
 
Index: /inundation-numpy-branch/pyvolution/flatbed.py
===================================================================
--- /inundation-numpy-branch/pyvolution/flatbed.py	(revision 3513)
+++ /inundation-numpy-branch/pyvolution/flatbed.py	(revision 3514)
@@ -13,5 +13,5 @@
      Constant_height
 from Numeric import array
-from util import Polygon_function, read_polygon
+from anuga.pyvolution.util import Polygon_function, read_polygon
 
 
Index: /inundation-numpy-branch/pyvolution/general_mesh.py
===================================================================
--- /inundation-numpy-branch/pyvolution/general_mesh.py	(revision 3513)
+++ /inundation-numpy-branch/pyvolution/general_mesh.py	(revision 3514)
@@ -50,5 +50,5 @@
 
 
-        This is a cut down version of mesh from pyvolution mesh.py
+        This is a cut down version of mesh from anuga.pyvolution mesh.py
     """
 
Index: /inundation-numpy-branch/pyvolution/generic_boundary_conditions.py
===================================================================
--- /inundation-numpy-branch/pyvolution/generic_boundary_conditions.py	(revision 3513)
+++ /inundation-numpy-branch/pyvolution/generic_boundary_conditions.py	(revision 3514)
@@ -131,5 +131,5 @@
         from Numeric import array
         from config import time_format
-        from util import File_function
+        from anuga.pyvolution.util import File_function
 
         Boundary.__init__(self)
@@ -181,5 +181,5 @@
         from Numeric import array, zeros, Float
         from config import time_format
-        from util import file_function
+        from anuga.pyvolution.util import file_function
 
         Boundary.__init__(self)
Index: /inundation-numpy-branch/pyvolution/island.py
===================================================================
--- /inundation-numpy-branch/pyvolution/island.py	(revision 3513)
+++ /inundation-numpy-branch/pyvolution/island.py	(revision 3514)
@@ -13,5 +13,5 @@
      Constant_height
 from Numeric import array
-from util import Polygon_function, read_polygon
+from anuga.pyvolution.util import Polygon_function, read_polygon
 from math import exp
 
Index: /inundation-numpy-branch/pyvolution/least_squares.py
===================================================================
--- /inundation-numpy-branch/pyvolution/least_squares.py	(revision 3513)
+++ /inundation-numpy-branch/pyvolution/least_squares.py	(revision 3514)
@@ -25,8 +25,8 @@
 
 #FIXME (Ole): Meshes to move somewhere else
-from pyvolution.mesh import Mesh
-from utilities.sparse import Sparse, Sparse_CSR
-from utilities.cg_solve import conjugate_gradient, VectorShapeError
-from utilities.numerical_tools import ensure_numeric, mean, gradient
+from anuga.pyvolution.mesh import Mesh
+from anuga.utilities.sparse import Sparse, Sparse_CSR
+from anuga.utilities.cg_solve import conjugate_gradient, VectorShapeError
+from anuga.utilities.numerical_tools import ensure_numeric, mean, gradient
 
 
@@ -441,6 +441,6 @@
         #Maybe we need some sort of blocking
 
-        from pyvolution.quad import build_quadtree
-	from utilities.polygon import inside_polygon
+        from anuga.pyvolution.quad import build_quadtree
+	from anuga.utilities.polygon import inside_polygon
 	
 
@@ -1134,5 +1134,5 @@
         from math import pi, cos, sin, sqrt
         from Numeric import zeros, Float
-        from utilities.numerical_tools import mean        
+        from anuga.utilities.numerical_tools import mean        
 
         if self.spatial is True:
Index: /inundation-numpy-branch/pyvolution/mesh.py
===================================================================
--- /inundation-numpy-branch/pyvolution/mesh.py	(revision 3513)
+++ /inundation-numpy-branch/pyvolution/mesh.py	(revision 3514)
@@ -492,5 +492,5 @@
         from config import epsilon
         from math import pi
-        from utilities.numerical_tools import anglediff
+        from anuga.utilities.numerical_tools import anglediff
 
         N = self.number_of_elements
@@ -616,5 +616,5 @@
         """
 
-        from utilities.numerical_tools import histogram
+        from anuga.utilities.numerical_tools import histogram
 
         vertex_coordinates = self.vertex_coordinates
Index: /inundation-numpy-branch/pyvolution/mesh_factory.py
===================================================================
--- /inundation-numpy-branch/pyvolution/mesh_factory.py	(revision 3513)
+++ /inundation-numpy-branch/pyvolution/mesh_factory.py	(revision 3514)
@@ -334,5 +334,5 @@
     """
 
-    from util import anglediff
+    from anuga.pyvolution.util import anglediff
     from math import pi
     import os.path
@@ -449,5 +449,5 @@
 
     from math import pi
-    from util import anglediff
+    from anuga.pyvolution.util import anglediff
 
 
Index: /inundation-numpy-branch/pyvolution/mesh_factory_all.py
===================================================================
--- /inundation-numpy-branch/pyvolution/mesh_factory_all.py	(revision 3513)
+++ /inundation-numpy-branch/pyvolution/mesh_factory_all.py	(revision 3514)
@@ -351,5 +351,5 @@
     """
 
-    from util import anglediff
+    from anuga.pyvolution.util import anglediff
     from math import pi
     import os.path
@@ -466,5 +466,5 @@
 
     from math import pi
-    from util import anglediff
+    from anuga.pyvolution.util import anglediff
 
 
Index: /inundation-numpy-branch/pyvolution/pressure_force.py
===================================================================
--- /inundation-numpy-branch/pyvolution/pressure_force.py	(revision 3513)
+++ /inundation-numpy-branch/pyvolution/pressure_force.py	(revision 3514)
@@ -49,5 +49,5 @@
 def cyclone(domain):
     from config import rho_w 
-    from util import gradient
+    from anuga.pyvolution.util import gradient
 
     xmom = domain.quantities['xmomentum'].explicit_update
Index: /inundation-numpy-branch/pyvolution/quantity.py
===================================================================
--- /inundation-numpy-branch/pyvolution/quantity.py	(revision 3513)
+++ /inundation-numpy-branch/pyvolution/quantity.py	(revision 3514)
@@ -267,5 +267,5 @@
         """
 
-        from geospatial_data.geospatial_data import Geospatial_data
+        from anuga.geospatial_data.geospatial_data import Geospatial_data
         from types import FloatType, IntType, LongType, ListType, NoneType
 
@@ -613,5 +613,5 @@
 
 
-        from utilities.numerical_tools import ensure_numeric
+        from anuga.utilities.numerical_tools import ensure_numeric
         from least_squares import fit_to_mesh
         from coordinate_transforms.geo_reference import Geo_reference
@@ -685,5 +685,5 @@
 
         from load_mesh.loadASCII import import_points_file
-        from geospatial_data.geospatial_data import points_dictionary2geospatial_data
+        from anuga.geospatial_data.geospatial_data import points_dictionary2geospatial_data
 
         from types import StringType
@@ -1296,5 +1296,5 @@
 
 
-from utilities import compile
+from anuga.utilities import compile
 if compile.can_use_C_extension('quantity_ext.c'):
     #Replace python version with c implementations
